Package de.gebit.integrity.remoting.entities.setlist

## Enum SetListEntryTypes

- java.lang.Object
- - java.lang.Enum<SetListEntryTypes>
  - - de.gebit.integrity.remoting.entities.setlist.SetListEntryTypes

- All Implemented Interfaces:
    `Serializable`, `Comparable<SetListEntryTypes>`

      public enum SetListEntryTypes
      extends Enum<SetListEntryTypes>

  The various types of set list entries.
  Author:
    Rene Schneider - initial API and implementation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CALL` | Call execution.
    `COMMENT` | Comment.
    `COMPARISON` | Test comparison.
    `EXECUTION` | The root entry.
    `PARAMETER` | Parameter definition.
    `RESULT` | Test/Call result.
    `SETUP` | Setup suite call.
    `SUITE` | Suite call.
    `TABLETEST` | Table test execution.
    `TEARDOWN` | Teardown suite call.
    `TEST` | Test execution.
    `TIMESET` | Time setting.
    `VARIABLE_ASSIGNMENT` | Assignment of new value to variable.
    `VARIABLE_UPDATE` | Variable update inside a call result.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SetListEntryTypes` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SetListEntryTypes[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXECUTION

          public static final SetListEntryTypes EXECUTION

      The root entry.

    - #### VARIABLE_ASSIGNMENT

          public static final SetListEntryTypes VARIABLE_ASSIGNMENT

      Assignment of new value to variable.

    - #### SUITE

          public static final SetListEntryTypes SUITE

      Suite call.

    - #### SETUP

          public static final SetListEntryTypes SETUP

      Setup suite call.

    - #### TEARDOWN

          public static final SetListEntryTypes TEARDOWN

      Teardown suite call.

    - #### TEST

          public static final SetListEntryTypes TEST

      Test execution.

    - #### TABLETEST

          public static final SetListEntryTypes TABLETEST

      Table test execution.

    - #### CALL

          public static final SetListEntryTypes CALL

      Call execution.

    - #### RESULT

          public static final SetListEntryTypes RESULT

      Test/Call result.

    - #### VARIABLE_UPDATE

          public static final SetListEntryTypes VARIABLE_UPDATE

      Variable update inside a call result.

    - #### PARAMETER

          public static final SetListEntryTypes PARAMETER

      Parameter definition.

    - #### COMPARISON

          public static final SetListEntryTypes COMPARISON

      Test comparison.

    - #### COMMENT

          public static final SetListEntryTypes COMMENT

      Comment.

    - #### TIMESET

          public static final SetListEntryTypes TIMESET

      Time setting.

  - ### Method Detail

    - #### values

          public static SetListEntryTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SetListEntryTypes c : SetListEntryTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SetListEntryTypes valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null